'use strict';

var querySyntaxCompletions = require('../utils/query-syntax-completions.cjs');

function suggestSyntax(document, position, context) {
    const classPosition = this.getClassPosition(document, position);
    if (classPosition !== undefined) {
        const q = context?.triggerCharacter === ' ' ? '' : document.getText({
            start: document.positionAt(classPosition.range.start),
            end: position
        });
        return querySyntaxCompletions(q, this.css);
    }
// todo
// else if (isInstance === true && checkConfigColorsBlock(document, position) === true) {
//     return getColorCompletionItems(this.css)
// }
}

module.exports = suggestSyntax;
